var app = getApp();
const navigationBarHeight = (getApp().statusBarHeight + 44) + 'px'
const extConfig = wx.getExtConfigSync ? wx.getExtConfigSync() : {}
const Http = require("../../utils/HttpBasics");
const config = require("../../config/config.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    navigationBarHeight,
    list: [],
    pageNum: 1,
    theme: wx.getSystemInfoSync().theme,
    typeLsit: {}
  },

  /**
   * 获取全局样式
   */
  getType() {
    Http.get({
      url: config.api.setType,
      data: {
        mouldType: app.globalData.mouldType
      }
    }).then(res => {
      const {
        code,
        data
      } = res
      if (code == 200) {
        app.globalData.typeLsit = data
        this.setData({
          typeLsit: data,
        })
      }
    })
  },

  goAdd(e) {
    let url = '/pages/siteAdd/siteAdd'
    wx.navigateTo({
      url: url,
    })
    console.log(url)
  },

  gitLsit() {
    Http.get({
      url: config.api.siteList,
      data: {
        pageNum: this.data.pageNum,
        pageSize: 1000,
      }
    }).then(res => {
      let tempLsit = res.data.list
      tempLsit.map(item => {
        let regionSty = ""
        if (JSON.parse(item.region)[0] == JSON.parse(item.region)[1]) {
          regionSty = JSON.parse(item.region)[1] + JSON.parse(item.region)[2]
        } else {
          regionSty = JSON.parse(item.region)[0] + JSON.parse(item.region)[1] + JSON.parse(item.region)[2]
        }
        item.regionSty = regionSty
      })
      console.log(tempLsit)
      this.setData({

        list: tempLsit
      })
    })
  },

  dutu(e) {
    wx.navigateTo({
      url: `/pages/siteAdd/siteAdd?id=${e.currentTarget.dataset.id}`,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getType()
    wx.onThemeChange((result) => {
      this.setData({
        theme: result.theme
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.gitLsit()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})